Page MenuHomePhabricator

[X86] Finishing broadcast[f|i]32x2 intrinsics lowering to IR.
ClosedPublic

Authored by uriel.k on Sep 24 2017, 5:52 AM.

Details

Summary

Removing X86 broadcast(f/i)32x2 intrinsics from llvm.
Adding autoUpgrade support.
Moving matching tests from avx512dq-intrinsics.ll to avx512dq-intrinsics-upgrade.ll and from avx512dqvl-intrinsics.ll to avx512dqvl-intrinsics-upgrade.ll.

Diff Detail

Event Timeline

uriel.k created this revision.Sep 24 2017, 5:52 AM
m_zuckerman added inline comments.Sep 24 2017, 11:44 PM
lib/IR/AutoUpgrade.cpp
250

can you use the "avx512.mask.broadcastf" and "avx512.mask.broadcasti" instead of adding a new line?

250

same as above

uriel.k updated this revision to Diff 116501.Sep 25 2017, 2:15 AM
uriel.k marked an inline comment as done.

change after Michael comment

m_zuckerman accepted this revision.Sep 25 2017, 4:53 AM

LGTM THANKS ,

This revision is now accepted and ready to land.Sep 25 2017, 4:53 AM
uriel.k closed this revision.Sep 26 2017, 1:36 AM

committed in 314195